Name:           qmt-plus
Version:        1
Release:        1%{?dist}
Summary:        qmt plus packages

Group:          System Environment/Base 
License:        GPL 
URL:            http://www.qmailtoaster.org
Packager:	Eric C. Broch <ebroch@whitehorsetc.com>

Source0: qmHandle
Source1: qmqtool
Source2: qmlog
Source3: queue_repair.py
Source4: mansfor
Source5: artistic.txt
Source6: gpl.txt 
Source7: licenses.txt
Source8: qmHandle.doc.txt
Source9: qmqtool.doc.txt
Source10: qmqtool.faq.txt
Source11: queue_repair.doc.txt
Source12: release-notes.txt

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define qtil    /opt/qmt-util

BuildArch:     noarch
Requires:      redhat-release >= %{version} 

%description
Qmailtoaster Repository setup for CentOS 7

%prep
%setup -q  -c -T
install -pm 755 %{SOURCE0} .

%build

%install
rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_bindir}

install -dm 755 $RPM_BUILD_ROOT%{qtil}/bin
install -dm 744 $RPM_BUILD_ROOT%{qtil}/doc
install -dm 744 $RPM_BUILD_ROOT%{qtil}/etc

install -pm 755 %{SOURCE0} $RPM_BUILD_ROOT%{qtil}/bin
install -pm 755 %{SOURCE1} $RPM_BUILD_ROOT%{qtil}/bin
install -pm 755 %{SOURCE2} $RPM_BUILD_ROOT%{qtil}/bin
install -pm 755 %{SOURCE3} $RPM_BUILD_ROOT%{qtil}/bin
install -pm 755 %{SOURCE4} $RPM_BUILD_ROOT%{qtil}/bin
install -pm 644 %{SOURCE5} $RPM_BUILD_ROOT%{qtil}/doc
install -pm 644 %{SOURCE6} $RPM_BUILD_ROOT%{qtil}/doc
install -pm 644 %{SOURCE7} $RPM_BUILD_ROOT%{qtil}/doc
install -pm 644 %{SOURCE8} $RPM_BUILD_ROOT%{qtil}/doc
install -pm 644 %{SOURCE9} $RPM_BUILD_ROOT%{qtil}/doc
install -pm 644 %{SOURCE10} $RPM_BUILD_ROOT%{qtil}/doc
install -pm 644 %{SOURCE11} $RPM_BUILD_ROOT%{qtil}/doc
install -pm 644 %{SOURCE12} $RPM_BUILD_ROOT%{qtil}/doc

%post

ln -s %{qtil}/bin/qmHandle        %{_bindir}/qmHandle
ln -s %{qtil}/bin/qmqtool         %{_bindir}/qmqtool
ln -s %{qtil}/bin/qmlog           %{_bindir}/qmlog
ln -s %{qtil}/bin/queue_repair.py %{_bindir}/queue_repair.py
ln -s %{qtil}/bin/mansfor         %{_bindir}/mansfor

%postun

unlink %{_bindir}/qmHandle
unlink %{_bindir}/qmqtool
unlink %{_bindir}/qmlog
unlink %{_bindir}/queue_repair.py
unlink %{_bindir}/mansfor

%clean
rm -rf $RPM_BUILD_ROOT

%files

%defattr(-,root,root,-)
%config(noreplace) %{qtil}

%changelog
* Tue May 26 2020 <ebroch@whitehorsetc.com> 1.1
- Change python to python3 in  queue_repair.py 
* Wed May 3 2017 <ebroch@whitehorsetc.com> 1.0
- Initial Release
- Included utilities: qmHandle, qmqtool, qmlog, queue_repair.py
- mansfor and txt documents
